ZZIP_DIR_ALLOC_EXT_I(3)

NAME
zzip_dir_alloc_ext_io, zzip_dir_alloc - ...

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIR * zzip_dir_alloc_ext_io((zzip_strings_t * ext, const zzip_plugin_io_t io));

ZZIP_DIR * zzip_dir_alloc((zzip_strings_t * fileext));

DESCRIPTION

the zzip_dir_alloc function is obsolete - it was generally used for implementation and exported to let other code build on it. It is now advised to use zzip_dir_alloc_ext_io now on explicitly, just set that second argument to zero to achieve the same functionality as the old style.

AUTHOR

    • Guido Draheim <guidod@gmx.de> Tomi Ollila <too@iki.fi>

COPYRIGHT

Copyright (c) 1999,2000,2001,2002,2003 Guido Draheim All rights reserved, use under the restrictions of the Lesser GNU General Public License or alternatively the restrictions of the Mozilla Public License 1.1